<?php
ob_start();
?>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		{YP_META}
	<head>
	<body>
		<div style="max-width: 830px; ">
			{YP_LISTINGS}
		</div>
	</body>
</html>
<?php
if (!isset($_GET['iframe']))
{
	$content = ob_get_contents();
	ob_end_clean();
	ob_start();
}

if (!isset($_GET['controller']) || empty($_GET['controller']))
{
	$_GET["controller"] = "pjListings";
}
if (!isset($_GET['action']) || empty($_GET['action']))
{
	$_GET["action"] = "pjActionIndex";
}
if(isset($pjLang))
{
	$_GET["pjLang"] = $pjLang;
}

$dirname = str_replace("\\", "/", dirname(__FILE__));
include str_replace("app/views/pjLayouts", "", $dirname) . '/ind'.'ex.php';

$meta = NULL;
$meta_arr = $pjObserver->getController()->get('meta_arr');
if ($meta_arr !== FALSE)
{
	$meta = sprintf('<title>%s</title>
<meta name="keywords" content="%s" />
<meta name="description" content="%s" />
<meta property="og:type" content="Website" />
<meta property="og:title" content="%s" />
<meta property="og:description" content="%s" />
<meta property="og:url" content="%s" />
<meta property="og:image" content="%s" />
<meta name="twitter:image:src" content="%s">',
	    !empty($meta_arr['title']) ? stripslashes($meta_arr['title']) : '',
	    !empty($meta_arr['keywords']) ? htmlspecialchars(stripslashes($meta_arr['keywords'])) : '',
		!empty($meta_arr['description']) ? htmlspecialchars(stripslashes($meta_arr['description'])) : (isset($meta_arr['body']) ? htmlspecialchars(stripslashes($meta_arr['body'])) : NULL),
		!empty($meta_arr['og_title']) ? htmlspecialchars(stripslashes($meta_arr['og_title'])) : NULL,			
		!empty($meta_arr['description']) ? htmlspecialchars(stripslashes($meta_arr['description'])) : (isset($meta_arr['body']) ? htmlspecialchars(stripslashes($meta_arr['body'])) : NULL),
		!empty($meta_arr['url']) ? stripslashes($meta_arr['url']) : NULL,
		!empty($meta_arr['og_image']) ? stripslashes($meta_arr['og_image']) : NULL,
		!empty($meta_arr['og_image']) ? stripslashes($meta_arr['og_image']) : NULL
	);
}
$content = str_replace('{YP_META}', $meta, $content);

if (!isset($_GET['iframe']))
{
	$app = ob_get_contents();
	ob_end_clean();
	ob_start();
	$app = str_replace('$','&#36;',$app);
	echo preg_replace('/\{YP_LISTINGS\}/', $app, $content);
}
?>